# Python begineer Guide

Welcome back, holyre. You last visited: Today, 05:44 PM Log Out
Pages (4): « Previous 1 2 3 4
New Reply

Python begineer Guide

bwin2 •
Junior
Member
Posts:
20
Joined:
Aug 2022
Reputation:
3
#31
08-18-2022, 01:44 PM
A good way to practice Python is hackerrank or leetcode.
I have used only the first but it help you slowly learn the different data structure and stuff needed in Python.
PM Find Rep
Reply Report
GBMax •
Junior
Member
Posts:
16
Joined:
Sep 2022
Reputation:
3
#32
09-06-2022, 12:28 PM

> (08-18-2022, 01:44 PM)bwin2 Wrote: A good way to practice Python is hackerrank or leetcode.
> I have used only the first but it help you slowly learn the different data structure and stuff needed in Python.

I mainly learned Python by creating a simple CRUD webapp in Flask, then slowly building it out with new features. Spent a lot more time in the documentation and in SO, but I got everything I wanted working by the end.
PM Find Rep
Reply Report
bethesda •
Junior
Member
Posts:
10
Joined:
Dec 2022
Reputation:
3
#33
12-30-2022, 10:10 AM
I strongly recommend the book 'blackhat python' to whoever wants to learn python from a hacking angle
The code there is fairly simple (the author mentions that it's for beginners) and provides good intro into hacking (i.e writing network scanners, packet inspection, simple keyloggers, etc... Even a basic botnet concept, all using Python)
The only drawback is that all examples are written in python 2.7 but converting them to Python 3 is an exercise by itself. Other than that the book is very straightforward and informative
https://www.pdfdrive.com/black-hat-pytho...50458.html
PM Find Rep
Reply Report
DedSec
Unregistered
#34
01-09-2023, 03:50 PM
good tutorial... i like python...
Reply Report
alphenzo •
Newbie
Registered
Posts:
2
Joined:
Jan 2023
Reputation:
0
#35
04-08-2023, 08:48 AM
Thank you everyone for the resources. Will be reading up on this when I find time. Every bit helps and is much appreciated!
PM Find Rep
Reply Report

Pages (4): « Previous 1 2 3 4
// $(".author_avatar img").error(function () { $(this).unbind("error").closest('.author_avatar').remove(); });